<script lang="ts">
	import PageTransition from '../../../components/PageTransition.svelte';
	import ContactForm from '../../../components/home/ContactForm.svelte';
	import FindMap from '../../../components/home/FindMap.svelte';
	import PresentationContact from '../../../components/PresentationContact.svelte';
	import type { Horaire, Marche, Place } from '../../(admin)/admin/metrouver/type';
	import { collection, getDocs } from 'firebase/firestore';
	import { db } from '$lib/firebase/firebase';
	import { onMount } from 'svelte';

	let marches: Place[] = [];
	const getMarches = async () => {
		marches = [];
		const docRef = await getDocs(collection(db, 'places'));
		docRef.forEach((doc) => {
			marches.push({ ...doc.data(), id: doc.id } as Place);
		});
		marches = marches;
	};

	onMount(() => {
		getMarches();
	});
</script>

<PageTransition>
	<PresentationContact />
	<div class="bg-noir-500 p-4 text-white flex flex-col gap-2">
		<p class="text-xl">Vous pouvez aussi me trouver lors de différents marchés :</p>
		<ul class="flex flex-col gap-4 text-lg border-l border-primary-500 p-4 mx-4 list-disc">
			{#each marches as marche}
				<li>
					{marche.text}
				</li>
			{/each}
		</ul>
		<i>
			Horaires susceptibles d’être modifiés. N’hésitez pas à téléphoner au
			<b>+33 6 89 94 28 64</b>
		</i>
	</div>
	<FindMap />
	<ContactForm />
</PageTransition>

<style>
	ul {
		list-style: none;
	}

	ul li::before {
		content: '\2022';
		color: wheat;
		font-weight: bold;
		display: inline-block;
		width: 1em;
		margin-left: -1.12em;
	}
</style>
